Bug 1276950 - logging out turns off computer
logging out turns off computer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 12:11 EST by Sami Farin
Modified: 2016-07-19 14:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:23:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2015-11-01 12:11:34 EST
Description of problem:
logging out turns off computer...!

I was trying gnome wayland.  Logging out had to be done several times, some lag for some reason; I thought it worked when screen went black but then computer powered off.

Nov  1 18:22:54 localhost audit: <audit-1103> pid=22567 uid=500 auid=500 ses=6 msg='op=PAM:setcred grantors=pam_unix acct="rpmbuild" exe="/usr/bin/su" hostname=? addr=? terminal=pts/8 res=success'
Nov  1 18:22:54 localhost audit: <audit-1105> pid=22567 uid=500 auid=500 ses=6 msg='op=PAM:session_open grantors=pam_keyinit,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_namespace acct="rpmbuild" exe="/usr/bin/su" hostname=? addr=? term$Nov  1 18:26:34 localhost systemd: Reloading.
Nov  1 18:26:34 localhost systemd-sysv-generator[22875]: Configuration file /usr/lib/systemd/system/3proxy.service is marked executable. Please remove executable permission bits. Proceeding anyway.
Nov  1 18:26:35 localhost systemd: Configuration file /usr/lib/systemd/system/auditd.service is marked world-inaccessible. This has no effect as configuration data is accessible via APIs without restrictions. Proceeding anyway.
Nov  1 18:26:36 localhost systemd: Started CUPS Scheduler.
Nov  1 18:26:37 localhost /usr/libexec/gdm-wayland-session: Reloaded configuration
Nov  1 18:26:37 localhost /usr/libexec/gdm-wayland-session: message repeated 3 times: [Reloaded configuration]
Nov  1 18:32:05 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:05 localhost gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:05 localhost gnome-session[13441]: message repeated 4 times: [GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed]
Nov  1 18:32:05 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:05 localhost gnome-session: message repeated 3 times: [gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed]
Nov  1 18:32:12 localhost gnome-session: Entering running state
Nov  1 18:32:12 localhost gnome-session: Gjs-Message: JS LOG: Ignored exception from dbus method: Gio.IOErrorEnum: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code19: Operation was cancelled
Nov  1 18:32:19 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session[13441]: message repeated 2 times: [GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed]
Nov  1 18:32:19 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:32:19 localhost gnome-session: gnome-session[13441]: CRITICAL: gsm_shell_open_end_session_dialog: assertion 'shell->priv->end_session_dialog_type == type' failed
Nov  1 18:32:19 localhost gnome-session[13441]: CRITICAL: gsm_shell_open_end_session_dialog: assertion 'shell->priv->end_session_dialog_type == type' failed
Nov  1 18:32:26 localhost audit: <audit-1106> pid=17053 uid=500 auid=500 ses=6 msg='op=PAM:session_close grantors=pam_keyinit,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_namespace acct="root" exe="/usr/bin/su" hostname=? addr=? termina$Nov  1 18:32:26 localhost audit: <audit-1104> pid=17053 uid=500 auid=500 ses=6 msg='op=PAM:setcred grantors=pam_unix acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=pts/2 res=success'
Nov  1 18:32:28 localhost audit: <audit-1106> pid=22567 uid=500 auid=500 ses=6 msg='op=PAM:session_close grantors=pam_keyinit,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_namespace acct="rpmbuild" exe="/usr/bin/su" hostname=? addr=? ter$Nov  1 18:32:28 localhost audit: <audit-1104> pid=22567 uid=500 auid=500 ses=6 msg='op=PAM:setcred grantors=pam_unix acct="rpmbuild" exe="/usr/bin/su" hostname=? addr=? terminal=pts/8 res=success'
Nov  1 18:32:31 localhost audit: <audit-1106> pid=20055 uid=500 auid=500 ses=6 msg='op=PAM:session_close grantors=pam_keyinit,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_namespace acct="moz" exe="/usr/bin/su" hostname=? addr=? terminal$Nov  1 18:32:31 localhost audit: <audit-1104> pid=20055 uid=500 auid=500 ses=6 msg='op=PAM:setcred grantors=pam_unix acct="moz" exe="/usr/bin/su" hostname=? addr=? terminal=pts/5 res=success'
Nov  1 18:32:34 localhost gnome-session: gnome-session[13441]: CRITICAL: gsm_shell_open_end_session_dialog: assertion 'shell->priv->end_session_dialog_type == type' failed
Nov  1 18:32:34 localhost gnome-session[13441]: CRITICAL: gsm_shell_open_end_session_dialog: assertion 'shell->priv->end_session_dialog_type == type' failed
Nov  1 18:32:36 localhost gnome-session: Gjs-Message: JS LOG: Ignored exception from dbus method: Gio.IOErrorEnum: GDBus.Error:org.gnome.SessionManager.NotInRunning: Logout interface is only available during the Running phase
Nov  1 18:33:01 localhost audit: <audit-1106> pid=18367 uid=500 auid=500 ses=6 msg='op=PAM:session_close grantors=pam_keyinit,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_namespace acct="ircuser" exe="/usr/bin/su" hostname=? addr=? term$Nov  1 18:33:01 localhost audit: <audit-1104> pid=18367 uid=500 auid=500 ses=6 msg='op=PAM:setcred grantors=pam_unix acct="ircuser" exe="/usr/bin/su" hostname=? addr=? terminal=pts/4 res=success'
Nov  1 18:33:05 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:33:05 localhost gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:33:05 localhost gnome-session[13441]: message repeated 2 times: [GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed]
Nov  1 18:33:05 localhost gnome-session: gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Nov  1 18:33:05 localhost gnome-session: message repeated 2 times: [gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed]
Nov  1 18:33:05 localhost gnome-session[13441]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

****
Nov  1 18:33:05 localhost systemd-logind: System is powering down.
****

Nov  1 18:33:05 localhost gnome-session[13441]: WARNING: Unable to open shell end session dialog: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Nov  1 18:33:05 localhost gnome-session: (EE)
Nov  1 18:33:05 localhost gnome-session: Fatal server error:
Nov  1 18:33:05 localhost gnome-session: (EE) failed to write to XWayland fd: Broken pipe
Nov  1 18:33:05 localhost gnome-session: (EE)
Nov  1 18:33:05 localhost org.kde.kded5: kdeinit5: Fatal IO error: client killed
Nov  1 18:33:05 localhost gnome-session: (evolution-alarm-notify:13926): Gdk-WARNING **: Error 32 (Broken pipe) dispatching to Wayland display.
Nov  1 18:33:05 localhost org.kde.kded5: klauncher: Exiting on signal 15
Nov  1 18:33:05 localhost org.kde.kded5: The X11 connection broke (error 1). Did the X11 server die?
Nov  1 18:33:05 localhost gnome-session: gnome-session[13441]: WARNING: Unable to open shell end session dialog: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Nov  1 18:33:05 localhost org.kde.kded5: kded5: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov  1 18:33:05 localhost gnome-session: clipit: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Nov  1 18:33:05 localhost gnome-session: (gnome-settings-daemon:13730): Gdk-WARNING **: gnome-settings-daemon: Fatal IO error 104 (Connection reset by peer) on X server :0.
Nov  1 18:33:05 localhost systemd: Stopped target Sound Card.
Nov  1 18:33:05 localhost systemd: Stopping Sound Card.
Nov  1 18:33:05 localhost gnome-session: gnome-session[13441]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov  1 18:33:05 localhost gnome-session[13441]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov  1 18:33:05 localhost systemd: Unmounting RPC Pipe File System...


Version-Release number of selected component (if applicable):
3.16.4

How reproducible:
I don't want to find out

Steps to Reproduce:
1. log out
2.
3.

Actual results:
power off

Expected results:
log out

Additional info:
Comment 1 Mikhail Strizhov 2015-12-01 19:23:30 EST
whoa! We have very similar problem: instead of shutting down the system, we have frozen system with black screen with mouse pointer.

Detailed report: https://bugzilla.redhat.com/show_bug.cgi?id=1284624
Comment 2 Sami Farin 2015-12-02 01:53:21 EST
gdm is the common factor... no such things happen with sddm or lightdm.
Comment 3 Fedora End Of Life 2016-07-19 14:23:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.